import express from "express";
import { registerUser, sendRecoveryEmail, loginUserController } from "../controller/user/userController";
import { refreshTokenController } from "../controller/token/refreshTokenController";
const router = express.Router();

router.post("/register", registerUser);
router.post("/login", loginUserController);
router.post("/refreshToken", refreshTokenController);
router.patch("/recoveryMail", sendRecoveryEmail)

export default router;
