import { Router } from "express";
import authRoutes from "./auth";
import userRoutes from "./user";
import eventRoutes from "./event";

const router = Router();

router.use("/auth", authRoutes);
router.use("/users", userRoutes);
router.use("/events", eventRoutes);

export default router;
