import jwt from "jsonwebtoken";

type Payload = {
  userId: number;
  accessLevel: number;
  iat: number;
  exp: number;
};

function getUserFromToken(token: string) {
  const decoded: Payload = jwt.decode(token) as Payload;
  console.log(decoded);
  return decoded?.userId;
}

export default getUserFromToken;
