import * as z from 'zod';

export const eventValidation = z.object({
  nEventID: z.number(),
  nAuthorID: z.number(),
  nPatientID: z.number(),
  nEventType: z.number(),
  strName: z.string(),
  dtDate: z.date(),
  dtStartTime: z.date(),
  dtEndTime: z.date(),
  nStatus: z.number().default(0),
  bActive: z.boolean().default(true)
});

