import express from "express";
import {
  get,
  createManyEvents,
  updateEvent,
  deleteEventById,
  linkUserToAEvent,
} from "../controller/event/eventController";

const router = express.Router();

router.get('/', get);
router.post('/', createManyEvents)
router.put('/:id', updateEvent);
router.delete('/:id', deleteEventById);
router.post('/:id/link', linkUserToAEvent);

export default router;
