const { check } = require('express-validator');

const registerValidator = [
  check('email').isEmail().withMessage('Invalid email format.'),
  check('password').isLength({ min: 6 }).withMessage('Password must be at least 6 characters long.'),
];

module.exports = registerValidator;
